Post by SuperJuice » Tue Mar 23, 2010 7:15 am

Also ensure that your destination postcode is 4 digit Australian, and Australia is selected as the destination and the package weight does not exceed 20kg.

Also, ensure you have both the module _and_ the postage methods you want enabled (eg. international shipping / local shipping). If neither is selected you will get nothing.

If you are still having problems after checking all of the above, let me know. I will hopefully get a chance to test with 1.4.4 this week. With all these new versions my test matrix has blown out considerably (even though none of the core functionality has apparently changed :-\ )

As for the version shipped with 1.4.4, I know it doesn't work, that version has nothing to do with me other than my code was taken and hacked up by someone who had no idea how Australia Post works. The fact Daniel refuses to remove the butchered version he created (and has never worked) is completely beyond me and a constant source of frustration... but Daniel knows best!

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by index » Tue Mar 23, 2010 8:06 am

Hi Superjuice,

Thanks for your detailed reply and for taking the time to help.

I reinstalled the austpost 1.1 files - following your instructions to the letter.

All went OK until I went to 'edit' the installed Aust Post shipping extention.

It does not open - gives error message -
Fatal error: Call to a member function https() on a non-object in /home/www/rockinreptile.com.au/store/admin/controller/shipping/auspost.php on line 57

Line 57 on that page is;
'href' => $this->url->https('common/home'),

Not sure what this means?

Thanks

Newbie

Posts

Joined
Sat Mar 20, 2010 10:49 am

Post by SuperJuice » Tue Mar 23, 2010 8:54 am

You say you used 1.1? from the contributions section? Daniel was meant to remove that, DO NOT use this version. It has not worked since the 1.3.x series (it says this in the notes included in the package).

This is the package you should be using for OpenCart 1.4.4 (Dropbear 1.4.1):

http://www.pixeldrift.net/opencart/open ... ion.tar.gz

Please confirm this is the package you are using.

Install a fresh copy of OpenCart 1.4.4, install Dropbear 1.4.1 over the top and let me know if it works.



In case the version numbering is confusing, I have released a Dropbear edition for each broken release. Because of the flurry of releases lately, I haven't had a chance to test past 1.4.1, but I have been assured nothing should have changed / broken it in OpenCart... so it should work with 1.4.4.

Once again because people don't seem to read the entire thread and I can't edit my first post:

OpenCart 1.3.4
http://www.pixeldrift.net/opencart/open ... n.2.tar.gz

OpenCart 1.4.0
http://www.pixeldrift.net/opencart/open ... ion.tar.gz

OpenCart 1.4.1 (Requires testing on 1.4.2, 1.4.3 and 1.4.4)
http://www.pixeldrift.net/opencart/open ... ion.tar.gz

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by index » Tue Mar 23, 2010 9:50 am

Hi Superjiuce,

Yes I did originally use the dropbear edition correctly - but for some reason I must have reinstalled with 1.1.1 when it did not work.

I have now deleted 1.1.1 from my computer so this mistake will not occur again.

Anyway I have now reinstalled the drop bear edition and the error message has gone but it has also reverted to the previous problem where no postage is showing up at all - stopping the checkout progress.

I have enabled everything in the extension plus I have a weight and sizes etc in the product description.

I can't reinstall the entire opencart again because I have modified the cart ond populated it with products etc.

Thanks

Newbie

Posts

Joined
Sat Mar 20, 2010 10:49 am

Post by SuperJuice » Tue Mar 23, 2010 10:09 am

It will unfortunately have to wait until I get a chance to look at it.

One thing you can do is open the module up and echo the $error variable (from memory this is it's name) out to the screen and it should give you an idea of why the module is not displaying. Also try echo'ing the cart weight that is passed to the payment calculator to the screen, this will rule out if it is the cart weight.

Basic checklist

1. Module needs to be enabled
2. The geozone needs to be configured so the postage option is available for the geozone you are using
3. You need to enable Local and/or International shipping
4. The origin postcode needs to be 4 digits and must be set and must be a valid Australian postcode
5. The package must be more than 0kg and less than or equal to 20kg (this usually causes the problem you describe) Double check you don't have items that are meant to weigh 200g weighing 200kg for eg. (common problem).
6. Ensure your webhost allows http connectivity out to the Auspost payment calculator

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by SuperJuice » Tue Mar 23, 2010 6:51 pm

OK, this is starting to look like a conversion issue. The below is taken from a completely standard OpenCart 1.4.4 install and the cart has a single 2kg item in it (so should be calculated as 2000 grams). The cart is set to the default weight class of lbs (as I said, unchanged)

I added some debug code to the weight conversion function. When I load the cart for this is what I get (the Australia Post module requests the weight in grams as this is what it needs to pass to the calculator).

Entering convert function
Input Value: [2]
From: [kg]
To: [lb]
Returning: [0.907194048807] <-- 2kg is ~4.4 lbs
But 0.9 Kilograms is approximately 2 lbs.. the from / to values are reversed????

I want to go _from_ my value of 2kg's to my value in lbs..

Entering convert function
Input Value: [0.907194048807]
From: [lb]
To: [g]
Returning: [0.002] <--.. um what? 0.9 lbs is 0.002 grams? am I reading this right?

0.9g = 0.002 lbs.. once again.. the from and to seem reversed?

I want to go _from_ my value of 0.9 pounds, _to_ my value in grams.

Why does this from/to not make sense?

This results in an Australia Post 0 weight cart.. and thus no shipping module option is displayed.

Am I following this function correctly? are these the results I should be expecting? :|

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by SuperJuice » Tue Mar 23, 2010 7:55 pm

This is a confirmed bug with OpenCart, and not the Australia Post module (again).

See http://forum.opencart.com/viewtopic.php ... 088#p61088

If you fix the above bug in OpenCart, 1.4.1 dropbear edition should work with 1.4.4.

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by datacon » Thu Mar 25, 2010 6:44 am

SuperJuice wrote:This is a confirmed bug with OpenCart, and not the Australia Post module (again).

See http://forum.opencart.com/viewtopic.php ... 088#p61088

If you fix the above bug in OpenCart, 1.4.1 dropbear edition should work with 1.4.4.
I installed the 1.4.1 dropbear into my 1.4.4 fresh installation. I also changed the system/library/weight.php to reverse the from/to as guided in your other post.

I made sure the product has a weight, and have added it to the shipping modules and is enabled, but the australia post section is not showing, any ideas? SS's below.

Attachments

Capture2.JPG

Capture2.JPG (41.53 KiB) Viewed 7476 times

Capture.JPG

Capture.JPG (39.77 KiB) Viewed 7476 times


New member

Posts

Joined
Tue Nov 17, 2009 11:10 am

Post by SuperJuice » Thu Mar 25, 2010 8:49 am

Thanks for letting me know there are still issues, I will have another look at it tonight.

As you can understand, it is difficult to develop a reliable module when the Opencart code is constantly changing underneath.

I think in the next version I will include a debug option to give full debug output for what is happening to help troubleshoot Opencart code changes in future.

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by SuperJuice » Thu Mar 25, 2010 5:51 pm

I have tested 1.4.1 dropbear on opencart 1.4.4 after flipping the covert function and it is working correctly.

Can you confirm you have a valid destination postcode in the checkout?

To help with troubleshooting (remove when you figure it out!), add this to /catalog/model/shipping/auspost.php

BEFORE
if(count($quote_data) > 0) {

ADD
echo "Reporting following error: [" . $error . "]<br />";


I have found why the errors aren't reporting, will fix that in the next release, and release it for 1.4.5 (if it gets released this weekend).

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by SuperJuice » Sun Mar 28, 2010 6:30 am

Updated version for 1.4.5 will be released later today :)

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by SuperJuice » Sun Mar 28, 2010 12:50 pm

As promised, here is the Australia Post module for OpenCart 1.4.5.

Fixed the weight/postcode error reporting so it will make more sense when the module is not working.

As the OpenCart 1.4.5 update fixed the weight conversion bug in OpenCart itself, you should all probably be using 1.4.5. It will also mean this module will work again, because the conversion to grams is working again :)

If you test it on 1.4.5 let me know. I have tested it with guest/registered checkout and have confirmed all the error reporting is working again.

This version is no longer called 'Dropbear' because it doesn't need to be dropped over the top of an existing version (because it was finally removed from the OpenCart package.. woo!)

Anyway, here it is:
OpenCart 1.4.5
http://www.pixeldrift.net/opencart/open ... ost.tar.gz
Last edited by SuperJuice on Sun Mar 28, 2010 11:24 pm, edited 1 time in total.

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by i2Paq » Sun Mar 28, 2010 8:15 pm

SuperJuice wrote:As promised, here is the Australia Post module for OpenCart 1.4.5.
Thank you SuperJuice for updating your module to be compatible with OpenCart 1.4.5!
I have added a link to this post in the release-topic for OpenCart 1.4.5 to make things easyer for the OpenCart 1.4.5 users.

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

Our FREE search: Find your answer FAST!.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by datacon » Mon Mar 29, 2010 6:20 am

Thank you very much SuperJuice. :)

I have installed fresh copy of 1.4.5 and seems to work well!! Great!!

New member

Posts

Joined
Tue Nov 17, 2009 11:10 am

Post by cmebd » Thu Apr 01, 2010 7:02 am

I have to ask the question........... Will 1.4.5 work for 1.4.6?? Seems that 1.4.6 resolves many of the issues found in 1.4.5 release but not sure if "modules" will cross pollinate?

A stupid question is the one you -don't- ask.........(Anon)

)C1.5.0.1 (IN devel)
OC V1.4.9.5
OC V1.4.9.2
OC V1.4.7
OC V1.3.4


User avatar
Active Member

Posts

Joined
Fri Nov 13, 2009 11:17 am
Location - Tasmania, Australia

Post by SuperJuice » Thu Apr 01, 2010 7:16 am

Yeah, looking at the release notes.. nothing the modules uses should have been touched.

Give it a go, I doubt there will be problems.

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by kool-lites » Wed Apr 07, 2010 10:06 am

Well I tried this morning, it appears in the shipping module, I can install it but when I go to edit it i get hte following error:
Fatal error: Call to a member function https() on a non-object in /home/public_html/store/admin/controller/shipping/auspost.php on line 57

Newbie

Posts

Joined
Wed Apr 07, 2010 9:57 am

Post by SuperJuice » Wed Apr 07, 2010 10:26 am

kool-lites wrote:Well I tried this morning, it appears in the shipping module, I can install it but when I go to edit it i get hte following error:
Fatal error: Call to a member function https() on a non-object in /home/public_html/store/admin/controller/shipping/auspost.php on line 57

.. and what version of OpenCart did you install it on? and what version of the Auspost module did you download?

Use this for OpenCart 1.4.5 and 1.4.6.
http://www.pixeldrift.net/opencart/open ... ost.tar.gz

If you are downloading the one from the Extensions menu you can blame Daniel, I have asked him to remove is so many times i'm sick of asking.

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm

Post by kool-lites » Wed Apr 07, 2010 10:47 am

My bad I downloaded from the extensions area here.
I am using Opencart 1.4.6
I was trying auspost1.1.
the supplied link works a treat - Many thanks!

Being the first time I have tried creating a store, I am very appreciative of efforts by people like yourself that not only develop the extension but also offer excellent support. I owe you a beer!

KR
Matthew

Newbie

Posts

Joined
Wed Apr 07, 2010 9:57 am

Post by SuperJuice » Thu Apr 15, 2010 7:55 am

Can whoever edited the first post please remove the 'features' and 'limitations' sections.. they are completely wrong for the current version and will be completely misleading for someone planning to download the module.

It does support Tax, it does support Geocodes and it does support International Shipping.

Please just have a download link to the current version.

I'm getting really tired of this thread permissions setup and not being able to edit the first post myself. If it can't be arranged can I create a new thread that I do have access to the first post in? and just lock this one out? I don't want to have to ask people to edit the first post when I make changes.

Additionally I see the old version is still listed on the Extensions page. Please fix this!

Active Member

Posts

Joined
Thu Aug 13, 2009 12:06 pm
Who is online

Users browsing this forum: No registered users and 7 guests